视频
视频转录 API(Beta)
Transcribes video audio from a public URL.
Authentication: This endpoint accepts either a Bearer API key or a SIGN-IN-WITH-X header for x402 wallet-based authentication. The legacy X-Sign-In-With-X header is also accepted during migration. When using x402, a 402 Payment Required response indicates insufficient balance and includes top-up instructions.
POST
/
video
/
transcriptions
/api/v1/video/transcriptions
curl --request POST \
--url https://api.venice.ai/api/v1/video/transcriptions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "https://www.youtube.com/watch?v=dQw4w9WgXcQ",
"response_format": "json"
}
'import requests
url = "https://api.venice.ai/api/v1/video/transcriptions"
payload = {
"url": "https://www.youtube.com/watch?v=dQw4w9WgXcQ",
"response_format": "json"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({url: 'https://www.youtube.com/watch?v=dQw4w9WgXcQ', response_format: 'json'})
};
fetch('https://api.venice.ai/api/v1/video/transcriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"transcript": "<string>",
"lang": "en"
}{
"error": "<string>",
"details": {
"_errors": [],
"field": {
"_errors": [
"Field is required"
]
}
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}在
url 中发送可公开访问的视频 URL。可选地将 response_format 设置为 json(默认)或 text,具体取决于您需要结构化输出还是纯文本转录。
授权
BearerAuthsiwx
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
请求体
application/json
⌘I
/api/v1/video/transcriptions
